1. Foren
  2. Kommentare
  3. Handy
  4. Alle Kommentare zum Artikel
  5. › iPhone und iPad: Apple fordert 64-Bit…

XCode 6

  1. Thema

Neues Thema Ansicht wechseln


  1. XCode 6

    Autor: plutoniumsulfat 21.10.14 - 10:38

    Mit irgendeiner XCode-Version wurde das iPhone 3G vom App-Support mehr oder weniger ausgeschlossen.

    Welche Phones wären heir betroffen?

  2. Re: XCode 6

    Autor: jayjay 21.10.14 - 11:02

    plutoniumsulfat schrieb:
    --------------------------------------------------------------------------------
    > Mit irgendeiner XCode-Version wurde das iPhone 3G vom App-Support mehr oder
    > weniger ausgeschlossen.
    >
    > Welche Phones wären heir betroffen?

    Also bei mir hat Xcode 6 noch einen Emulator für iOS 7 und 8. Damit dürften alle < iOS 7 Geräte ausgeschlossen sein. Das würde in dem fall das Iphone 3GS und dessen Vorgänger betreffen.
    Genau kann ich es nicht sagen da ich zzt. noch nicht für iOS entwickel sondern nur für Mac OS.

  3. Re: XCode 6

    Autor: dermamuschka 21.10.14 - 11:13

    plutoniumsulfat schrieb:
    --------------------------------------------------------------------------------
    > Mit irgendeiner XCode-Version wurde das iPhone 3G vom App-Support mehr oder
    > weniger ausgeschlossen.
    >
    > Welche Phones wären heir betroffen?
    gar keins, weil die 32bit libs ja noch untersützt werden dürfen.
    es ist halt nur zwang, zusätzlich auch die 64bit libs zu unterstützen.

    in mittlerer zukunft dürfte das allerdings dazu führen, dass irgendwann nur noch 64bit apps erlaubt sein werden. dann würden iphone 4s und iphone 5, sowie alle ipads vor dem ipad air und dem mini retina keine neuen apps mehr bekommen.
    das ist aber noch zukunftsmusik

  4. Re: XCode 6

    Autor: plutoniumsulfat 21.10.14 - 11:18

    Wenn die aber mit XCode 6 erzeugt werden müssen, werden wohl, wie von jayjay erwähnt, die <iOS7-Devices ausgeschlossen?

  5. Re: XCode 6

    Autor: Junior-Consultant 21.10.14 - 12:42

    Nein, der Support ist ausgelaufen, Apple lässt aber sowieso keine <=iOS6-Apps mehr im Store zu..

  6. Re: XCode 6

    Autor: plutoniumsulfat 21.10.14 - 12:48

    die verbleibenden sind aber noch drin.

  7. Re: XCode 6

    Autor: scythe42 21.10.14 - 13:54

    plutoniumsulfat schrieb:
    --------------------------------------------------------------------------------
    > Mit irgendeiner XCode-Version wurde das iPhone 3G vom App-Support mehr oder
    > weniger ausgeschlossen.
    >
    > Welche Phones wären heir betroffen?

    XCode 6 unterstützt IOS ab IOS 4.3 als Deployment Target.

    Entsprechend sind: iPhone, iPhone 3G und iPad (das erste) rausgefallen.

    Was allerdings immer rausfällt sind alte Simulatoren. Dort werden immer nur die letzten beiden IOS Versionen weiter gepflegt. Also IOS 8 und IOS 7 aktuell.

    Aber ein Gerät kannst du nach wie vor anschliessen und das App darauf testen.

    Was Apple in der App Store lässt ist unabhängig davon. Und ältere XCode Versionen kann man auch problemlos parallel nebeneinander laufen lassen.



    1 mal bearbeitet, zuletzt am 21.10.14 13:57 durch scythe42.

  8. Re: XCode 6

    Autor: plutoniumsulfat 21.10.14 - 15:31

    nur keine App mehr, die ein bestimmtes OS voraussetzen. Ich befürchte fast, das wird heir wieder passieren.

  9. Re: XCode 6

    Autor: Cohaagen 21.10.14 - 15:34

    Junior-Consultant schrieb:
    --------------------------------------------------------------------------------
    > Nein, der Support ist ausgelaufen, Apple lässt aber sowieso keine
    > <=iOS6-Apps mehr im Store zu..

    Seit wann genau lässt Apple keine Apps <=iOS6 mehr zu?

    Diesen Juli wurden z.B. die drei Blackwell-Adventures (Blackwell Legacy, Unbound + Convergence) zugelassen, die sich mit iOS 4.3 begnügen und die auch hervorragend auf dem ollen iPad1 laufen. Zwei Monate zuvor wurde das Adventure "Geheimakte Tunguska" zugelassen, das sich sogar noch mit iOS 4.0 begnügt. Frotz hat gestern ein Update bekommen... "erfordert iOS3.0 oder neuer".



    1 mal bearbeitet, zuletzt am 21.10.14 15:39 durch Cohaagen.

  10. Re: XCode 6

    Autor: plutoniumsulfat 21.10.14 - 16:36

    Ich hatte damals gehört, dass Apps mit <4.3 nicht mehr eingestellt werden können, auch keine Updates.

  1. Thema

Neues Thema Ansicht wechseln


Um zu kommentieren, loggen Sie sich bitte ein oder registrieren Sie sich. Sie müssen ausserdem in Ihrem Account-Profil unter Forum einen Nutzernamen vergeben haben. Zum Login

Stellenmarkt
  1. ARD ZDF Deutschlandradio Beitragsservice, Köln
  2. ROSE Systemtechnik GmbH, Hohenlockstedt
  3. CONSILIO GmbH, Walldorf, Ratingen, München
  4. Analytic Company GmbH, Hamburg

Golem pur
  • Golem.de ohne Werbung nutzen

Anzeige
Top-Angebote
  1. (u. a. WISO Steuer-Software für PC und Mac für je 19,99€)
  2. (u. a. Emtec X150 SSD Power Plus 960 GB für 84,90€ + 6,99€ Versand und Thermaltake V200 TG RGB...
  3. (u. a. Samsung 860 EVO 1 TB für 85€)
  4. (u. a. Samsung 860 EVO 1 TB für 85€)


Haben wir etwas übersehen?

E-Mail an news@golem.de